Detailed health check
curl --request GET \
--url http://aris.local/health \
--header 'Authorization: Bearer <token>'import requests
url = "http://aris.local/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://aris.local/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"version": "1.0.0",
"uptime_seconds": 86400,
"timestamp": "2024-01-15T10:30:00Z",
"checks": {
"mqtt": {
"status": "ok",
"connected": true
},
"cloud": {
"status": "ok",
"state": "connected",
"connected": true
},
"memory": {
"heap_used_mb": 45,
"heap_total_mb": 64,
"rss_mb": 120
},
"state_file": {
"status": "ok",
"last_modified": "2024-01-15T10:29:00Z"
}
}
}{
"version": "<string>",
"uptime_seconds": 123,
"timestamp": "2023-11-07T05:31:56Z",
"checks": {
"mqtt": {
"connected": true
},
"cloud": {
"state": "<string>",
"connected": true
},
"memory": {
"heap_used_mb": 123,
"heap_total_mb": 123,
"rss_mb": 123
},
"state_file": {
"last_modified": "2023-11-07T05:31:56Z"
}
}
}Health
Detailed health check
Returns detailed health status including MQTT connection, cloud status, memory usage, and state file status. Use this for monitoring and diagnostics.
GET
/
health
Detailed health check
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I

